Subject: Re: Git and Google Summer of Code 2012

From: André Walker <[email-masked]>
Date: Tue, 20 Mar 2012 15:01:08 -0300

Well, one way or another, I do want to subscribe. I tried to do it 
though, but somehow I'm still not subscribed.

I mailed [email-masked] with the message body "subscribe 
git". I did it twice, yesterday, and today again. Am I doing something 
wrong, or should I just wait?

On 03/20/2012 02:54 PM, Jeff King wrote:
> On Tue, Mar 20, 2012 at 06:44:54PM +0100, Jakub Narebski wrote:
>
>>>> Actually the discussion of GSoC project application ideas with mentoring
>>>> organization[1] should take place in the open, on git mailing list,
>>>> [email-masked].  (You don't need to be subscribed to send email to
>>>> it, and there is custom on this mailing list of Cc-ing all people
>>>> participating in discussion; you can read git mailing list via other
>>>> interfaces e.g. via GMane.)
>>> The parenthesized part applies to general audience but not to GSoC
>>> students, I would think. Isn't the participation in the mentoring
>>> community mandatory for them?
>> Perhaps being subscribed to git mailing list, and participating in
>> #git or #git-devel IRC channel (and perhaps also #gsoc channel) is
>> mandatory for GSoC students (though I think if it is so it should
>> be stated clearly in materials such as SoC-2012-Template application
>> template)...
>>
>> ...but is it required also for _prospective_ (would-be) students?
> I would hesitate to ever call anything _mandatory_. A student who is
> aware of how the git community works, is up-to-date with recent
> discussions on the proposed area of work, and who has interacted with
> the developer community will have a much stronger application and be
> more likely to succeed in their project.
>
> Given that the mailing list is the center of the development community,
> I would expect reading at least some of it to be part of the above
> tasks. But whether they want to subscribe, read via nntp, read via list
> archives on gmane, or whatever, is up to the student. And I certainly
> wouldn't expect them to read every message; instead, they should read
> parts that interest them and seem applicable to their proposed work.
> Because there is a lot of traffic on the list, it often helps to cull
> uninteresting bits by their subject, or whole threads after reading the
> first message of a thread and deciding it's boring.
>
> -Peff
>